Bug 988418 - Jcr2vfs migration tool does not migrate rule templates
Jcr2vfs migration tool does not migrate rule templates
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER6
: 6.0.0
Assigned To: Mark Proctor
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 10:48 EDT by Petr Široký
Modified: 2014-08-06 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Široký 2013-07-25 10:48:38 EDT
Description of problem:
The jcr2vfs migration tool does not currently migrate rule templates. The following message is displayed to the user: "TODO migrate asset ({Rule template}) with format({template})". As rule templates are still supported the tool should migrate them.


Version-Release number of selected component (if applicable):
6.0.0-DR6 (and current 6.0.0-SNAPSHOT)


How reproducible:
Always


Steps to Reproduce:
1. Run the guvnor and create rule template there.
2. Run the migrator with the repo created above.


Actual results:
The rule template assets are not migrated.


Expected results:
Rule template assets are successfully migrated to vfs repo.
Comment 1 Jervis Liu 2013-08-20 05:20:09 EDT
fixed: https://github.com/droolsjbpm/drools-wb/commit/1916475dc
Comment 7 Petr Široký 2014-01-14 06:56:53 EST
Verified fixed in 6.0.0-ER7.

Note You need to log in before you can comment on or make changes to this bug.